;===============================================================;
;                                                               ;
; Alien Breed 5                                                 ;
; Misc & Compressed Sprite Data File                            ;
;                                                               ;
;===============================================================;

.db 6

.org 0

fontce:                 #import "gfxce\fontce.huf"
ablogoce:               #import "gfxce\ablogoce.huf"
hudbar:                 #import "gfxce\hudbar.huf"
enemySprites:           #import "gfxce\enemies.huf"
bossSprites:            #import "gfxce\bosses.huf"

logos:                  #import "gfxce\logos.huf"

images:                 #import "gfxce\images.huf"

cutsceneEp1:            #include "cut\ep1ce.asm"
cutsceneEp2:            #include "cut\ep2ce.asm"
cutsceneEp3:            #include "cut\ep3ce.asm"
cutsceneIntro:          #include "cut\introce.asm"

;------------------------------------------------
; level name list for passcode manager
;------------------------------------------------
pcLevelTable:
.dl pcEp1L01,pcEp1L02,pcEp1L03,pcEp1L04,pcEp1L05,pcEp1L06,pcEp1L07,pcEp1L08,pcEp1L09,pcEp1L10,pcEp1L11,pcEp1L12
.dl pcEp2L01,pcEp2L02,pcEp2L03,pcEp2L04,pcEp2L05,pcEp2L06,pcEp2L07,pcEp2L08,pcEp2L09,pcEp2L10,pcEp2L11,pcEp2L12
.dl pcEp3TCV0,pcEp3TCV1,pcEp3TCV2,pcEp3TCV3,pcEp3TCV4
.dl pcEp3TMT0,pcEp3TMT1,pcEp3TMT2,pcEp3TMT3,pcEp3TMT4
.dl pcEp3TST0,pcEp3TST1,pcEp3TST2,pcEp3TST3,pcEp3TST4
.dl pcEp3TSC0,pcEp3TSC1,pcEp3TSC2,pcEp3TSC3,pcEp3TSC4
.dl pcEp3COR1,pcEp3COR2,pcEp3COR3,pcEp3COR4,pcEp3COR5
.dl pcEp3TMA1,pcEp3TMA2,pcEp3TMA3,pcEp3TMA4,pcEp3TMA5

pcEp1L01:   .db "EP I - SHUTTLE LANDING BAY TWO",0
pcEp1L02:   .db "EP I - POWER SUB SYSTEM",0
pcEp1L03:   .db "EP I - SECURITY ZONE",0
pcEp1L04:   .db "EP I - OVAL ZONE",0
pcEp1L05:   .db "EP I - ENGINEERING ZONE ONE",0
pcEp1L06:   .db "EP I - ENGINEERING SUB SYSTEM",0
pcEp1L07:   .db "EP I - ENGINEERING",0
pcEp1L08:   .db "EP I - POWERMECH SYSTEMS",0
pcEp1L09:   .db "EP I - ENGINEERING SYSTEM SHAFT",0
pcEp1L10:   .db "EP I - REACTOR CORE",0
pcEp1L11:   .db "EP I - LOCATION UNKNOWN...",0
pcEp1L12:   .db "EP I - THE HATCHERY",0

pcEp2L01:   .db "EP II - ARRIVAL BAY",0
pcEp2L02:   .db "EP II - MAINFRAME SYSTEMS",0
pcEp2L03:   .db "EP II - COMMUNICATIONS ZONE",0
pcEp2L04:   .db "EP II - ENGINEERING ZONE ONE",0
pcEp2L05:   .db "EP II - ENGINEERING ZONE TWO",0
pcEp2L06:   .db "EP II - MODULE DOCKING TUBE",0
pcEp2L07:   .db "EP II - SECURITY SECTOR",0
pcEp2L08:   .db "EP II - POWER SUB STATION",0
pcEp2L09:   .db "EP II - BARRACKS",0
pcEp2L10:   .db "EP II - SHUTTLE CONTROL",0
pcEp2L11:   .db "EP II - LOCATION UNKNOWN...",0
pcEp2L12:   .db "EP II - EMERGENCY SHUTTLE BAY",0

pcEp3TCV0   .db "EP III - CRASH LANDING SITE...",0
pcEp3TCV1   .db "EP III - CIVILIAN ZONE 1",0
pcEp3TCV2   .db "EP III - CIVILIAN ZONE 2",0
pcEp3TCV3   .db "EP III - CIVILIAN ZONE 3",0
pcEp3TCV4   .db "EP III - CIVILIAN ZONE 4",0
pcEp3TMT0   .db "EP III - OUTSIDE MILITARY TOWER",0
pcEp3TMT1   .db "EP III - MILITARY SECTOR 1",0
pcEp3TMT2   .db "EP III - MILITARY SECTOR 2",0
pcEp3TMT3   .db "EP III - MILITARY SECTOR 3",0
pcEp3TMT4   .db "EP III - MILITARY SECTOR 4",0
pcEp3TST0   .db "EP III - OUTSIDE STORES TOWER",0
pcEp3TST1   .db "EP III - STORES LEVEL 1",0
pcEp3TST2   .db "EP III - STORES LEVEL 2",0
pcEp3TST3   .db "EP III - STORES LEVEL 3",0
pcEp3TST4   .db "EP III - STORES LEVEL 4",0
pcEp3TSC0   .db "EP III - OUTSIDE SCIENCE TOWER",0
pcEp3TSC1   .db "EP III - SCIENCE SECTOR 1",0
pcEp3TSC2   .db "EP III - SCIENCE SECTOR 2",0
pcEp3TSC3   .db "EP III - SCIENCE SECTOR 3",0 
pcEp3TSC4   .db "EP III - SCIENCE SECTOR 4",0
pcEp3COR1   .db "EP III - CORRIDOR ONE",0
pcEp3COR2   .db "EP III - CORRIDOR TWO",0
pcEp3COR3   .db "EP III - CORRIDOR THREE",0
pcEp3COR4   .db "EP III - CORRIDOR FOUR",0
pcEp3COR5   .db "EP III - CORRIDOR FIVE",0
pcEp3TMA1   .db "EP III - MAIN TOWER LEVEL 1",0
pcEp3TMA2   .db "EP III - MAIN TOWER LEVEL 2",0
pcEp3TMA3   .db "EP III - MAIN TOWER LEVEL 3",0
pcEp3TMA4   .db "EP III - MAIN TOWER LEVEL 4",0
pcEp3TMA5   .db "EP III - MAIN TOWER LEVEL 5",0

;------------------------------------------------
; intex info base data
;------------------------------------------------
intexInfoBaseData:
.db 9

.db 45,50,"INTEX INFO BASE",0
.db 75,24,"[2ND]-NEXT PAGE",0
.db 90,24,"[MODE]-MAIN MENU",0
.db 105,24,"[ALPHA]-FAST TEXT/SKIP",$FF

.db 45,24,"GAME CONTROLS",0
.db 75,24,"ARROW KEYS-MOVE",0
.db 90,24,"[2ND]-SHOOT",0
.db 105,24,"TOP ROW-SELECT WEAPON 1-5",0
.db 120,24,"[ALPHA]-USE/ACTIVATE",0
.db 135,24,"[DEL]-RADAR SCANNER",0
.db 150,24,"[MODE]-PAUSE",0
.db 165,24,"[MATH]-TEACHER KEY",$FF

.db 45,24,"DECK LIFTS",0
.db 75,24,"ON MOST LEVELS, THE DECK",0
.db 90,24,"LIFT IS WHERE YOU GO TO",0
.db 105,24,"TRAVEL TO THE NEXT LEVEL,",0
.db 120,24,"UNLESS OTHERWISE TOLD.",$FF

.db 45,24,"SECURITY DOORS",0
.db 75,24,"CAN BE OPENED WITH KEY",0
.db 90,24,"PASSES, OR SHOT OPEN AS A",0
.db 105,24,"LAST RESORT.",$FF

.db 45,24,"FIRE DOORS",0
.db 75,24,"CAN BE CLOSED BY PRESSING",0
.db 90,24,"[ALPHA], BUT CANNOT BE",0
.db 105,24,"REOPENED.",$FF

.db 45,24,"ONE WAY ENERGY BEAMS",0
.db 75,24,"ONLY ALLOW ACCESS IN ONE",0
.db 90,24,"DIRECTION AS INDICATED.",$FF

.db 45,24,"AIR DUCTS",0
.db 75,24,"THESE ARE DANGEROUS AND",0
.db 90,24,"SHOULD NOT BE ENTERED",0
.db 105,24,"UNLESS DIRECTED TO DO SO.",$FF

.db 45,24,"EXTRA LIVES/FIRST AID",0
.db 75,24,"EXTRA LIVES CAN BE FOUND ON",0
.db 90,24,"THE GROUND OR PURCHASED AT",0
.db 105,24,"INTEX TERMINALS, AS WELL",0
.db 120,24,"AS FIRST AID KITS.",$FF

.db 45,24,"REMOTE RADAR SCANNER",0
.db 75,24,"THIS CAN BE PURCHASED AND",0
.db 90,24,"THEN VIEWED FROM ANYWHERE",0
.db 105,24,"BY PRESSING [DEL].",0
.db 120,24,"IT WILL NOT WORK DURING",0
.db 135,24,"AUTO-DESTRUCT SEQUENCE",0
.db 150,24,"IN TOUGH MODE.",$FF

.end
